---
title: "Handles GET requests to `/get`."
url: "https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8/operations/get_handler"
---

> Full API specification: https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8.md

# Handles GET requests to `/get`.

`GET` `/get`

Operation ID: `get_handler`

Echoes back the request's method and headers as a JSON object. # HTTP Method: - `GET` # Responses: - `200 OK`: Returns a JSON object containing the method and headers.

## Responses

- `200` - Echoes request details (includes a `tls` object over HTTPS)

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: rucho
  version: 1.6.0
servers:
  - url: https://rucho.org
    description: Production (EKS us-east-2, behind Kong)
paths:
  /get:
    get:
      tags:
        - crate::routes::core_routes
      summary: Handles GET requests to `/get`.
      description: |-
        Echoes back the request's method and headers as a JSON object.

        # HTTP Method:
        - `GET`

        # Responses:
        - `200 OK`: Returns a JSON object containing the method and headers.
      operationId: get_handler
      responses:
        "200":
          description: Echoes request details (includes a `tls` object over HTTPS)
          content:
            application/json:
              schema: {}
```
